GrailsViewResolver (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.view
[Java] Class GrailsViewResolver

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.view.AbstractCachingViewResolver
                  org.springframework.web.servlet.view.UrlBasedViewResolver
                      org.springframework.web.servlet.view.InternalResourceViewResolver
                          org.codehaus.groovy.grails.web.servlet.view.GrailsViewResolver

All Implemented Interfaces:
  GrailsApplicationAware, PluginManagerAware

    public class GrailsViewResolver
    extends org.springframework.web.servlet.view.InternalResourceViewResolver

Evaluates the existance of a view for different extensions choosing which one to delegate to.

Authors:
  Graeme Rocher

Since:
  0.1

Field Summary
`static java.lang.String` | `GSP_SUFFIX`
`static java.lang.String` | `JSP_SUFFIX`
`protected GrailsConventionGroovyPageLocator` | `groovyPageLocator`
`protected GroovyPagesTemplateEngine` | `templateEngine`

Fields inherited from class org.springframework.web.servlet.view.InternalResourceViewResolver
REDIRECT_URL_PREFIX, FORWARD_URL_PREFIX, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE, DEFAULT_CACHE_LIMIT

Fields inherited from class org.springframework.web.servlet.view.UrlBasedViewResolver
REDIRECT_URL_PREFIX, FORWARD_URL_PREFIX, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE, DEFAULT_CACHE_LIMIT

Constructor Summary
`GrailsViewResolver()` Constructor.

Method Summary
`protected org.springframework.web.servlet.View` | `createFallbackView(java.lang.String viewName)`
`protected org.springframework.web.servlet.View` | `createGrailsView(java.lang.String viewName)`
`protected org.springframework.web.servlet.View` | `createJstlView(java.lang.String viewName)`
`long` | `getCacheTimeout()`
`protected org.springframework.web.servlet.View` | `loadView(java.lang.String viewName, java.util.Locale locale)`
`org.springframework.web.servlet.View` | `resolveViewName(java.lang.String viewName, java.util.Locale locale)`
`void` | `setCacheTimeout(long cacheTimeout)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`
`void` | `setGroovyPageLocator(GrailsConventionGroovyPageLocator groovyPageLocator)`
`void` | `setPluginManager(GrailsPluginManager pluginManager)`
`void` | `setTemplateEngine(GroovyPagesTemplateEngine templateEngine)`

Methods inherited from class org.springframework.web.servlet.view.InternalResourceViewResolver
org.springframework.web.servlet.view.InternalResourceViewResolver#setAlwaysInclude(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setExposeContextBeansAsAttributes(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setExposedContextBeanNames([Ljava.lang.String;), org.springframework.web.servlet.view.InternalResourceViewResolver#setContentType(java.lang.String), org.springframework.web.servlet.view.InternalResourceViewResolver#setPrefix(java.lang.String), org.springframework.web.servlet.view.InternalResourceViewResolver#getOrder(), org.springframework.web.servlet.view.InternalResourceViewResolver#setAttributes(java.util.Properties), org.springframework.web.servlet.view.InternalResourceViewResolver#setRequestContextAttribute(java.lang.String), org.springframework.web.servlet.view.InternalResourceViewResolver#setAttributesMap(java.util.Map), org.springframework.web.servlet.view.InternalResourceViewResolver#getAttributesMap(), org.springframework.web.servlet.view.InternalResourceViewResolver#setExposePathVariables(java.lang.Boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setSuffix(java.lang.String), org.springframework.web.servlet.view.InternalResourceViewResolver#setRedirectContextRelative(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setRedirectHttp10Compatible(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setViewNames([Ljava.lang.String;), org.springframework.web.servlet.view.InternalResourceViewResolver#setOrder(int), org.springframework.web.servlet.view.InternalResourceViewResolver#setViewClass(java.lang.Class), org.springframework.web.servlet.view.InternalResourceViewResolver#setCache(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#clearCache(), org.springframework.web.servlet.view.InternalResourceViewResolver#resolveViewName(java.lang.String, java.util.Locale), org.springframework.web.servlet.view.InternalResourceViewResolver#setCacheLimit(int), org.springframework.web.servlet.view.InternalResourceViewResolver#getCacheLimit(), org.springframework.web.servlet.view.InternalResourceViewResolver#setCacheUnresolved(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#isCacheUnresolved(), org.springframework.web.servlet.view.InternalResourceViewResolver#removeFromCache(java.lang.String, java.util.Locale), org.springframework.web.servlet.view.InternalResourceViewResolver#isCache(), org.springframework.web.servlet.view.InternalResourceViewResolver#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.view.InternalResourceViewResolver#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.view.InternalResourceViewResolver#getApplicationContext(), org.springframework.web.servlet.view.InternalResourceViewResolver#wait(long, int), org.springframework.web.servlet.view.InternalResourceViewResolver#wait(long), org.springframework.web.servlet.view.InternalResourceViewResolver#wait(), org.springframework.web.servlet.view.InternalResourceViewResolver#equals(java.lang.Object), org.springframework.web.servlet.view.InternalResourceViewResolver#toString(), org.springframework.web.servlet.view.InternalResourceViewResolver#hashCode(), org.springframework.web.servlet.view.InternalResourceViewResolver#getClass(), org.springframework.web.servlet.view.InternalResourceViewResolver#notify(), org.springframework.web.servlet.view.InternalResourceViewResolver#notifyAll()

Methods inherited from class org.springframework.web.servlet.view.UrlBasedViewResolver
org.springframework.web.servlet.view.UrlBasedViewResolver#setContentType(java.lang.String), org.springframework.web.servlet.view.UrlBasedViewResolver#setPrefix(java.lang.String), org.springframework.web.servlet.view.UrlBasedViewResolver#getOrder(), org.springframework.web.servlet.view.UrlBasedViewResolver#setAttributes(java.util.Properties), org.springframework.web.servlet.view.UrlBasedViewResolver#setRequestContextAttribute(java.lang.String), org.springframework.web.servlet.view.UrlBasedViewResolver#setAttributesMap(java.util.Map), org.springframework.web.servlet.view.UrlBasedViewResolver#getAttributesMap(), org.springframework.web.servlet.view.UrlBasedViewResolver#setExposePathVariables(java.lang.Boolean), org.springframework.web.servlet.view.UrlBasedViewResolver#setSuffix(java.lang.String), org.springframework.web.servlet.view.UrlBasedViewResolver#setRedirectContextRelative(boolean), org.springframework.web.servlet.view.UrlBasedViewResolver#setRedirectHttp10Compatible(boolean), org.springframework.web.servlet.view.UrlBasedViewResolver#setViewNames([Ljava.lang.String;), org.springframework.web.servlet.view.UrlBasedViewResolver#setOrder(int), org.springframework.web.servlet.view.UrlBasedViewResolver#setViewClass(java.lang.Class), org.springframework.web.servlet.view.UrlBasedViewResolver#setCache(boolean), org.springframework.web.servlet.view.UrlBasedViewResolver#clearCache(), org.springframework.web.servlet.view.UrlBasedViewResolver#resolveViewName(java.lang.String, java.util.Locale), org.springframework.web.servlet.view.UrlBasedViewResolver#setCacheLimit(int), org.springframework.web.servlet.view.UrlBasedViewResolver#getCacheLimit(), org.springframework.web.servlet.view.UrlBasedViewResolver#setCacheUnresolved(boolean), org.springframework.web.servlet.view.UrlBasedViewResolver#isCacheUnresolved(), org.springframework.web.servlet.view.UrlBasedViewResolver#removeFromCache(java.lang.String, java.util.Locale), org.springframework.web.servlet.view.UrlBasedViewResolver#isCache(), org.springframework.web.servlet.view.UrlBasedViewResolver#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.view.UrlBasedViewResolver#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.view.UrlBasedViewResolver#getApplicationContext(), org.springframework.web.servlet.view.UrlBasedViewResolver#wait(long, int), org.springframework.web.servlet.view.UrlBasedViewResolver#wait(long), org.springframework.web.servlet.view.UrlBasedViewResolver#wait(), org.springframework.web.servlet.view.UrlBasedViewResolver#equals(java.lang.Object), org.springframework.web.servlet.view.UrlBasedViewResolver#toString(), org.springframework.web.servlet.view.UrlBasedViewResolver#hashCode(), org.springframework.web.servlet.view.UrlBasedViewResolver#getClass(), org.springframework.web.servlet.view.UrlBasedViewResolver#notify(), org.springframework.web.servlet.view.UrlBasedViewResolver#notifyAll()

Field Detail

### GSP_SUFFIX

    public static final java.lang.String GSP_SUFFIX

### JSP_SUFFIX

    public static final java.lang.String JSP_SUFFIX

### groovyPageLocator

    protected GrailsConventionGroovyPageLocator groovyPageLocator

### templateEngine

    protected GroovyPagesTemplateEngine templateEngine

Constructor Detail

### GrailsViewResolver

    public GrailsViewResolver()

  Constructor.

Method Detail

### createFallbackView

    protected org.springframework.web.servlet.View createFallbackView(java.lang.String viewName)

### createGrailsView

    protected org.springframework.web.servlet.View createGrailsView(java.lang.String viewName)

### createJstlView

    protected org.springframework.web.servlet.View createJstlView(java.lang.String viewName)

### getCacheTimeout

    public long getCacheTimeout()

### loadView

    @java.lang.Overrideprotected View loadView(String viewName, Locale locale) throws Exception {
    protected org.springframework.web.servlet.View loadView(java.lang.String viewName, java.util.Locale locale)

### resolveViewName

    @java.lang.Overridepublic View resolveViewName(String viewName, Locale locale) throws Exception {
    public org.springframework.web.servlet.View resolveViewName(java.lang.String viewName, java.util.Locale locale)

### setCacheTimeout

    public void setCacheTimeout(long cacheTimeout)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

### setGroovyPageLocator

    public void setGroovyPageLocator(GrailsConventionGroovyPageLocator groovyPageLocator)

### setPluginManager

    public void setPluginManager(GrailsPluginManager pluginManager)

### setTemplateEngine

    public void setTemplateEngine(GroovyPagesTemplateEngine templateEngine)

Groovy Documentation